﻿<%@ Page Language="C#" MasterPageFile="~/Main.Master" AutoEventWireup="true" CodeBehind="InstallConfiguration.aspx.cs"
    Inherits="BlueDot.Eam.Core.Server.InstallConfiguration" Title="" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">

    <div class="Intro" style="width: 785px;">
    
        <h2 class="Intro"><asp:Literal ID="Literal1" runat="server" Text="<%$ resources:Title %>"/></h2>
        
        <div class="DataListContent">
        
            <table cellpadding="1">
                <tr>
                    <td style="width: 300px">
                        <asp:DropDownList ID="installDropDownList" runat="server" AutoPostBack="True" Width="99%">
                        </asp:DropDownList>
                    </td>
                    <td>
                        <asp:LinkButton ID="LoadLinkButton" runat="server" OnClick="OnLoadConfigFile" Text="<%$ resources:LoadConfiguration %>"></asp:LinkButton>
                    </td>
                </tr>
                <tr>
                    <td style="width: 300px">
                        <asp:TextBox ID="appMgmtUrlText" runat="server" Width="97%" Text="http://localhost/mnow/ApplicationManagement.svc"></asp:TextBox>
                    </td>
                    <td>
                        <asp:LinkButton ID="DeployLinkButton" runat="server" OnClick="OnDeploy" Text="<%$ resources:DeployToCommandCenter %>"></asp:LinkButton>
                    </td>
                </tr>
            </table>
            
            <asp:XmlDataSource ID="configurationFileXmlDataSource" runat="server" XPath="/configuration/appSettings/add">
            </asp:XmlDataSource>
            
			<div style="margin-top: 10px;margin-bottom: 10px;" class="tableservices">
				<asp:DataGrid
					ID="configurationGrid"
					runat="server"
					AutoGenerateColumns="False"
					CellPadding="5"
					CssClass="tableservices"
					DataSourceID="configurationFileXmlDataSource"
					Width="100%">
					<AlternatingItemStyle BackColor="#F3F4E4" />
					<ItemStyle CssClass="tableservices" />
					<Columns>
						<asp:TemplateColumn HeaderText="Key" ItemStyle-Width="25%" meta:resourcekey="GridKeyHeader">
							<ItemTemplate>
								<asp:Label ID="keyLabel" runat="server" Text='<%# Server.HtmlEncode(DataBinder.Eval(Container, "DataItem.Key").ToString()) %>'></asp:Label>
							</ItemTemplate>
						</asp:TemplateColumn>
						<asp:TemplateColumn HeaderText="Value" meta:resourcekey="GridValueHeader">
							<ItemTemplate>
								<asp:TextBox ID="valueText" runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.Value") %>' Width="98%"></asp:TextBox>
							</ItemTemplate>
						</asp:TemplateColumn>
					</Columns>
				</asp:DataGrid>
			</div>
			
            <asp:Label ID="lblValidator" runat="server" Text="" CssClass="Red_Text" />
            <asp:Label ID="configPathLabel" runat="server" Visible="false"></asp:Label>            
        </div>
        
        <div style="float: right;margin-top: 10px;">
            <p class="Intro" style="display: inline;">
                <asp:Button ID="Button3" runat="server" Text="<%$ resources:Save %>" OnClick="OnSave" />
            </p>
        </div>
        
        <asp:Panel ID="SavedNotificationPanel" CssClass="ProgressPanel" runat="server" BackColor="LightYellow"
            Height="20px" HorizontalAlign="Center" Width="100%" Visible="false">
            <asp:Literal ID="SaveMessage" runat="server" Text="<%$ resources:ChangesSaved %>"/>
        </asp:Panel>
        
        <ajaxToolkit:RoundedCornersExtender ID="SavedRoundedCornersExtender" runat="server"
            BehaviorID="SavedRoundedCornersBehavior" TargetControlID="SavedNotificationPanel"
            Radius="6" Corners="All" />
    </div>
    <div>
        <div class="DataListContent">
            <b>Downloads</b><br />
            <asp:Table runat="server" ID="DownloadsTable" CellPadding="2" CellSpacing="2" />
        </div>
    </div>
    <div>
        <asp:Table runat="server" ID="MessagesTable" CellPadding="2" CellSpacing="2" />
    </div>
</asp:Content>
